Refresh token metadata
Updates the latest token metadata.
PUT
/
nfts
/
tokens
/
{id}
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.nFTs.refreshNFTMetadata(nFTsApiRefreshNFTMetadataRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.nFTs().refreshNFTMetadata(id, xEndUserWalletId, idempotencyKey);response = fireblocks.n_f_ts.refresh_n_f_t_metadata(id, x_end_user_wallet_id, idempotency_key);curl --request PUT \
--url https://api.fireblocks.io/v1/nfts/tokens/{id}const options = {method: 'PUT'};
fetch('https://api.fireblocks.io/v1/nfts/tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Headers
Unique ID of the End-User wallet to the API request. Required for end-user wallet operations.
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
NFT ID
Response
202 - undefined
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.nFTs.refreshNFTMetadata(nFTsApiRefreshNFTMetadataRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.nFTs().refreshNFTMetadata(id, xEndUserWalletId, idempotencyKey);response = fireblocks.n_f_ts.refresh_n_f_t_metadata(id, x_end_user_wallet_id, idempotency_key);